package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TRcauditmenu;

/**
 * RC审计助手目录Service接口
 * 
 * @author ruoyi
 * @date 2020-12-07
 */
public interface ITRcauditmenuService 
{
    /**
     * 查询RC审计助手目录
     * 
     * @param id RC审计助手目录ID
     * @return RC审计助手目录
     */
    public TRcauditmenu selectTRcauditmenuById(Long id);

    /**
     * 查询RC审计助手目录列表
     * 
     * @param tRcauditmenu RC审计助手目录
     * @return RC审计助手目录集合
     */
    public List<TRcauditmenu> selectTRcauditmenuList(TRcauditmenu tRcauditmenu);

    /**
     * 新增RC审计助手目录
     * 
     * @param tRcauditmenu RC审计助手目录
     * @return 结果
     */
    public int insertTRcauditmenu(TRcauditmenu tRcauditmenu);

    /**
     * 修改RC审计助手目录
     * 
     * @param tRcauditmenu RC审计助手目录
     * @return 结果
     */
    public int updateTRcauditmenu(TRcauditmenu tRcauditmenu);

    /**
     * 批量删除RC审计助手目录
     * 
     * @param ids 需要删除的RC审计助手目录ID
     * @return 结果
     */
    public int deleteTRcauditmenuByIds(Long[] ids);

    /**
     * 删除RC审计助手目录信息
     * 
     * @param id RC审计助手目录ID
     * @return 结果
     */
    public int deleteTRcauditmenuById(Long id);
}
